Package org.lwjgl.util.mapped

# Class MappedSet

java.lang.Object
org.lwjgl.util.mapped.MappedSet

public class MappedSet extends Object
Factory for mapped sets. A mapped set can be used as a Structure of Arrays by linking together the view of two or more mapped objects. Changing the view of the mapped set, changes the corresponding view of all the mapped objects in the set.

## Constructor Summary

Constructors
Constructor
Description
`MappedSet()`

## Method Summary

Modifier and Type
Method
Description
`static MappedSet2`
`create(MappedObject a, MappedObject b)`
Creates a `MappedSet` by linking the specified `MappedObject`s.
`static MappedSet3`
`create(MappedObject a, MappedObject b, MappedObject c)`
Creates a `MappedSet` by linking the specified `MappedObject`s.
`static MappedSet4`
`create(MappedObject a, MappedObject b, MappedObject c, MappedObject d)`
Creates a `MappedSet` by linking the specified `MappedObject`s.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MappedSet

public MappedSet()

## Method Details

### create

public static MappedSet2 create(MappedObject a, MappedObject b)
Creates a `MappedSet` by linking the specified `MappedObject`s.

Returns:
  the mapped set.

### create

public static MappedSet3 create(MappedObject a, MappedObject b, MappedObject c)
Creates a `MappedSet` by linking the specified `MappedObject`s.

Returns:
  the mapped set.

### create

public static MappedSet4 create(MappedObject a, MappedObject b, MappedObject c, MappedObject d)
Creates a `MappedSet` by linking the specified `MappedObject`s.

Returns:
  the mapped set.